Subject: Re: JMP> jmJobState and jmJobStateReasonsTC [ISSUE: Are there any mandatory job states?]

From: Tom Hastings <[email-masked]>
Date: Tue, 27 May 1997 09:36:25 PDT

If a simple output device implements IPP and doesn't queue or spool, wouldn't
the jobs in that output device never be in pending?  Such a device would
refuse acceptance of another job, while it was processing its current job.
That is why pending is conditionally mandatory in IPP and therfore also in 
JMP.

Would it help to indicate that if an implementation queues or spools,
that it shall implement the 'pending' state jobs that are queued or spooled
but are not yet processing?

Tom

At 12:26 05/25/97 PDT, JK Martin wrote:
>What happened to "pending" as a mandatory job state?  I certainly hope
>we don't relegate this important state to the "Conditionally Mandatory"
>realm.
>
>> The current draft lists processing, needsAttention, canceled, and completed
>> as Mandatory.  Since needsAttention has gone away, that leaves three
>> states as mandatory:  processing, canceled, and completed.  Since we added
>> aborted, I assume that aborted should be added to the mandatory list.
>> 
>> The complicance at the end of the Job MIB spec also lists these states.
>>
>> [...snip...]
>> 
>> Tom
>
>

---

From: JK Martin <[email-masked]>
Date: Tue, 27 May 1997 13:35:01 -0400 (EDT)

Yep, you're right, Tom.  If the device is totally single-threaded, then
no job would ever be in a "pending" state.  Your suggested wording (in
the second paragraph) looks good to me.

	...jay

----- Begin Included Message -----

>From [email-masked] Tue May 27 12:43 EDT 1997
Date: Tue, 27 May 1997 09:36:25 PDT
To: [email-masked], JK Martin <[email-masked]>
From: Tom Hastings <[email-masked]>
Subject: Re: JMP> jmJobState and jmJobStateReasonsTC [ISSUE: Are there
  any mandatory job states?]
Cc: [email-masked]

Tom

----- End Included Message -----

---

From: JK Martin <[email-masked]>
Date: Tue, 27 May 1997 14:16:55 -0400 (EDT)

Ron,

> The object jmJobState should be mandatory.  All possible enums for this
> object must be reported if implemented and available to the agent.  (I 
> sent another email on this subject with more info earlier today.)
> 
> Does this make more sense?  

Yes!  I like your wording.  Can everyone else agree to this?

	...jay

---

From: Tom Hastings <[email-masked]>
Date: Wed, 28 May 1997 02:07:15 PDT

>Yes!  I like your wording.  Can everyone else agree to this?

No, Ron has used the definition for conditionally mandatory and called that
definition what mandatory means.  Most of the jobState enums are mandatory
using the SNMP definition of Mandatory.  A few are conditionally mandatory
(see Ron's definition above).

See my earlier mail messages on why, processing, completed, and 
aborted are mandatory, not conditionally mandatory, states and why 'pending' 
and 'canceled' are conditionally mandatory.